Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.mesh
Class LeafMesh

    java.lang.Object
      net.sourceforge.arbaro.mesh.LeafMesh

    public class LeafMesh

extends java.lang.Object

A class for creation of a leaf in the mesh of all leaves. It is initialized with a leaf shape name. The leaf mesh is located at the origin. To create a leaf at it's position, you have to apply the leafs transformation to the leaf mesh points.

Author:
  wdiestel

Constructor Summary
`LeafMesh(java.lang.String leafShape, double length, double width, double stemLen, boolean useQuads)`

Method Summary
`int` | `getShapeFaceCount()` Returns the number ov faces the leaf mesh consists of.
`int` | `getShapeVertexCount()` Returns the number of vertices the leaf mesh consist of.
`boolean` | `isFlat()`
`Face` | `shapeFaceAt(int i)` Returns the i-th face (triangle).
`UVVector` | `shapeUVAt(int i)` Returns the i-th uv-vector.
`Vertex` | `shapeVertexAt(int i)` Returns the i-th vertex.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeafMesh

    public LeafMesh(java.lang.String leafShape,
                    double length,
                    double width,
                    double stemLen,
                    boolean useQuads)

Method Detail

### isFlat

    public boolean isFlat()

### shapeVertexAt

    public Vertex shapeVertexAt(int i)

  Returns the i-th vertex.

  Parameters:
    `i` -
  Returns:
    i-th vertex

### shapeUVAt

    public UVVector shapeUVAt(int i)

  Returns the i-th uv-vector.

  Parameters:
    `i` -
  Returns:
    i-th uv-vector

### shapeFaceAt

    public Face shapeFaceAt(int i)

  Returns the i-th face (triangle).

  Parameters:
    `i` -
  Returns:
    i-th face (triangle)

### getShapeVertexCount

    public int getShapeVertexCount()

  Returns the number of vertices the leaf mesh consist of.

  Returns:
    number of vertices the leaf mesh consist of

### getShapeFaceCount

    public int getShapeFaceCount()

  Returns the number ov faces the leaf mesh consists of.

  Returns:
    number ov faces the leaf mesh consists of

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD